Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.cics.server
Class Conversation

    java.lang.Object
      |
      +--com.ibm.cics.server.API
            |
            +--com.ibm.cics.server.Conversation

Direct Known Subclasses:
  ConversationPrincipalFacility

public class Conversation
extends API

Method Summary
`void` | `converse(DataHolder holder)` Not Implemented.
`void` | `converse(DataHolder holder, int maxLength, boolean retainExcess)` Not Implemented.
`void` | `flush()` Not Implemented.
`void` | `free()` Not Implemented.
`byte[]` | `getConvId()` Not Implemented.
`boolean` | `getDataComplete()` Not Implemented.
`int` | `getErrorCode()` Not Implemented.
`boolean` | `getErrorOccurred()` Not Implemented.
`boolean` | `getNoData()` Not Implemented.
`boolean` | `getSignalReceived()` Not Implemented.
`ConversationState` | `getState()` Not Implemented.
`SyncLevel` | `getSyncLevel()` Not Implemented.
`void` | `issueAbend()` Not Implemented.
`void` | `issueConfirmation()` Not Implemented.
`void` | `issueError()` Not Implemented.
`void` | `issuePrepare()` Not Implemented.
`void` | `issueSignal()` Not Implemented.
`void` | `receive(DataHolder holder)` Not Implemented.
`void` | `receive(DataHolder holder, int maxLength, boolean retainExcess)` Not Implemented.
`void` | `send(byte[] data)` Not Implemented.
`void` | `send(byte[] data, ConversationSendOptions options)` Not Implemented.
`void` | `send(ConversationSendOptions options)` Not Implemented.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### converse

    public void converse(DataHolder holder)
                  throws EndOfChainIndicatorException,
                         InvalidRequestException,
                         LengthErrorException,
                         NotAllocatedException,
                         InboundSignalException,
                         TerminalException

  This method is not implemented in this release.

### converse

    public void converse(DataHolder holder,
                         int maxLength,
                         boolean retainExcess)
                  throws EndOfChainIndicatorException,
                         InvalidRequestException,
                         LengthErrorException,
                         NotAllocatedException,
                         InboundSignalException,
                         TerminalException

  This method is not implemented in this release.

### flush

    public void flush()
               throws InvalidRequestException,
                      NotAllocatedException

  This method is not implemented in this release.

### free

    public void free()
              throws InvalidRequestException,
                     NotAllocatedException,
                     NotAuthorisedException,
                     InvalidSystemIdException

  This method is not implemented in this release.

### getConvId

    public byte[] getConvId()

  This method is not implemented in this release.

### getDataComplete

    public boolean getDataComplete()

  This method is not implemented in this release.

### getErrorCode

    public int getErrorCode()

  This method is not implemented in this release.

### getErrorOccurred

    public boolean getErrorOccurred()

  This method is not implemented in this release.

### getNoData

    public boolean getNoData()

  This method is not implemented in this release.

### getSignalReceived

    public boolean getSignalReceived()

  This method is not implemented in this release.

### getState

    public ConversationState getState()

  This method is not implemented in this release.

### getSyncLevel

    public SyncLevel getSyncLevel()

  This method is not implemented in this release.

### issueAbend

    public void issueAbend()
                    throws InvalidRequestException,
                           NotAllocatedException,
                           TerminalException

  This method is not implemented in this release.

### issueConfirmation

    public void issueConfirmation()
                           throws InvalidRequestException,
                                  NotAllocatedException,
                                  TerminalException

  This method is not implemented in this release.

### issueError

    public void issueError()
                    throws InvalidRequestException,
                           NotAllocatedException,
                           TerminalException

  This method is not implemented in this release.

### issuePrepare

    public void issuePrepare()
                      throws InvalidRequestException,
                             NotAllocatedException,
                             TerminalException

  This method is not implemented in this release.

### issueSignal

    public void issueSignal()
                     throws InvalidRequestException,
                            NotAllocatedException,
                            TerminalException

  This method is not implemented in this release.

### receive

    public void receive(DataHolder holder)
                 throws EndOfChainIndicatorException,
                        InvalidRequestException,
                        LengthErrorException,
                        NotAllocatedException,
                        InboundSignalException,
                        TerminalException

  This method is not implemented in this release.

### receive

    public void receive(DataHolder holder,
                        int maxLength,
                        boolean retainExcess)
                 throws EndOfChainIndicatorException,
                        InvalidRequestException,
                        LengthErrorException,
                        NotAllocatedException,
                        InboundSignalException,
                        TerminalException

  This method is not implemented in this release.

### send

    public void send(byte[] data)
              throws InvalidRequestException,
                     LengthErrorException,
                     NotAllocatedException,
                     InboundSignalException,
                     TerminalException

  This method is not implemented in this release.

### send

    public void send(byte[] data,
                     ConversationSendOptions options)
              throws InvalidRequestException,
                     LengthErrorException,
                     NotAllocatedException,
                     InboundSignalException,
                     TerminalException

  This method is not implemented in this release.

### send

    public void send(ConversationSendOptions options)
              throws InvalidRequestException,
                     LengthErrorException,
                     NotAllocatedException,
                     InboundSignalException,
                     TerminalException

  This method is not implemented in this release.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002 by Sun Microsystems, Inc.